<html>
<head>
	<script language="javascript">
   function chk_val(val){
			var chk = /^\d+$/.test(val);	//\d = number digit, + = International code, 
			return chk;			// $ = Currency symbol.
		}
        function validateForm(){
            var abc=document.forms['loginform'].uid.value.length;
    	    if(abc<=0){
				alert("User name is left blank.");
				document.forms['loginform'].uid.focus();
				return false;
	        }

            var pwl=document.forms['loginform'].passwd.value.length;
//			alert("test");
     	    if(pwl<6){
              	 document.getElementById("err").innerHTML="Password is <br> less than 6 characters.";
				 //alert("Password is <br> less than 6 characters.");
				document.forms['loginform'].passwd.focus();
				return false;
	        }
		    if(!chk_val(phone)){
				alert('please input numbers only. '+chk_val(phone));
			}
		
	  /*
           if(msg){

                document.getElementById("err").innerHTML=msg;
                return false;
           }
*/
            return true;
        }

        function chkUser(){
            var usrval=document.forms["loginform"].uid.value.length;
			if(usrval<7){
				document.getElementById("user").innerHTML="User name is " +usrval+ " must be at least 8 characters.";
			}
			else
				document.getElementById("user").innerHTML="User name is valid.";
	    }
    </script>

</head>

<body>
  <!--<div name="err" id="err">Fill the form</div><br>-->

    <form name="loginform" action=# onSubmit="return validateForm()">
        User ID: <input required type="text" name="uid" id="uid" onKeyUp="chkUser()"> <div id="user"></div><br>
        Password: <input type="password" name="passwd"> <br>
        <input type="submit" name="submit" value="Submit">
    </form>

</body>
</html>